package com.yinlihupo.enlish.service.service;


import com.yinlihupo.enlish.service.domain.dataobject.ExamWordsDO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ExamWordsService {

    ExamWordsDO generateExamWords(Integer studentId, Integer type);

    int saveExamWordsPngToDbAndLocal(MultipartFile file);

    void updateExamWordsWordIdsOrder(ExamWordsDO examWordsDO);

    ExamWordsDO getExamWordsDOById(Integer id);
}
